Loading...
Searching...
No Matches
Dune::Functions::SubspaceBasis< RB, TP > Class Template Reference

`#include <dune/functions/functionspacebases/subspacebasis.hh>`

Inheritance diagram for Dune::Functions::SubspaceBasis< RB, TP >:

## Public Types

using | RootBasis = RB
using | RootLocalView = typename RootBasis::LocalView
using | PrefixPath = TP
using | GridView = typename RootBasis::GridView
| The grid view that the FE space is defined on.
using | MultiIndex = typename RootBasis::MultiIndex
| Type used for global numbering of the basis vectors.
using | size_type = std::size_t
using | LocalView = SubspaceLocalView<RootLocalView, PrefixPath>
| Type of the local view on the restriction of the basis to a single element.
using | SizePrefix = typename RootBasis::SizePrefix

## Public Member Functions

| SubspaceBasis (const RootBasis &rootBasis, const PrefixPath &prefixPath)
| Constructor for a given grid view object.
template<class RootRootBasis, class InnerTP, class OuterTP>
| SubspaceBasis (const SubspaceBasis< RootRootBasis, InnerTP > &rootBasis, const OuterTP &prefixPath)
| Constructor from another SubspaceBasis.
const GridView & | gridView () const
| Obtain the grid view that the basis is defined on.
size_type | dimension () const
size_type | size () const
| Return number of possible values for next position in empty multi index.
size_type | size (const SizePrefix &prefix) const
| Return number possible values for next position in multi index.
LocalView | localView () const
| Return local view for basis.
const RootBasis & | rootBasis () const
const PrefixPath & | prefixPath () const
auto | containerDescriptor () const
| Return the associated container descriptor.

## Protected Attributes

const RootBasis * | rootBasis_
PrefixPath | prefixPath_

## Member Typedef Documentation

## GridView

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::GridView = typename RootBasis::GridView

The grid view that the FE space is defined on.

## LocalView

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::LocalView = SubspaceLocalView<RootLocalView, PrefixPath>

Type of the local view on the restriction of the basis to a single element.

## MultiIndex

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::MultiIndex = typename RootBasis::MultiIndex

Type used for global numbering of the basis vectors.

## PrefixPath

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::PrefixPath = TP

## RootBasis

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::RootBasis = RB

## RootLocalView

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::RootLocalView = typename RootBasis::LocalView

## size_type

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::size_type = std::size_t

## SizePrefix

template<class RB, class TP>

using Dune::Functions::SubspaceBasis< RB, TP >::SizePrefix = typename RootBasis::SizePrefix

## Constructor & Destructor Documentation

## SubspaceBasis() [1/2]

template<class RB, class TP>

Dune::Functions::SubspaceBasis< RB, TP >::SubspaceBasis | ( | const RootBasis & | rootBasis,
|  | const PrefixPath & | prefixPath )

inline

Constructor for a given grid view object.

## SubspaceBasis() [2/2]

template<class RB, class TP>
template<class RootRootBasis, class InnerTP, class OuterTP>

Dune::Functions::SubspaceBasis< RB, TP >::SubspaceBasis | ( | const SubspaceBasis< RootRootBasis, InnerTP > & | rootBasis,
|  | const OuterTP & | prefixPath )

inline

Constructor from another SubspaceBasis.

This will join the tree paths and use them relative to rootBasis.rootBasis().

## Member Function Documentation

## containerDescriptor()

template<class RB, class TP>

auto Dune::Functions::SubspaceBasis< RB, TP >::containerDescriptor | ( |  | ) | const

inline

Return the associated container descriptor.

## dimension()

template<class RB, class TP>

size_type Dune::Functions::SubspaceBasis< RB, TP >::dimension | ( |  | ) | const

inline

## gridView()

template<class RB, class TP>

const GridView & Dune::Functions::SubspaceBasis< RB, TP >::gridView | ( |  | ) | const

inline

Obtain the grid view that the basis is defined on.

## localView()

template<class RB, class TP>

LocalView Dune::Functions::SubspaceBasis< RB, TP >::localView | ( |  | ) | const

inline

Return local view for basis.

## prefixPath()

template<class RB, class TP>

const PrefixPath & Dune::Functions::SubspaceBasis< RB, TP >::prefixPath | ( |  | ) | const

inline

## rootBasis()

template<class RB, class TP>

const RootBasis & Dune::Functions::SubspaceBasis< RB, TP >::rootBasis | ( |  | ) | const

inline

## size() [1/2]

template<class RB, class TP>

size_type Dune::Functions::SubspaceBasis< RB, TP >::size | ( |  | ) | const

inline

Return number of possible values for next position in empty multi index.

## size() [2/2]

template<class RB, class TP>

size_type Dune::Functions::SubspaceBasis< RB, TP >::size | ( | const SizePrefix & | prefix | ) | const

inline

Return number possible values for next position in multi index.

## Member Data Documentation

## prefixPath_

template<class RB, class TP>

PrefixPath Dune::Functions::SubspaceBasis< RB, TP >::prefixPath_

protected

## rootBasis_

template<class RB, class TP>

const RootBasis* Dune::Functions::SubspaceBasis< RB, TP >::rootBasis_

protected

The documentation for this class was generated from the following file:

- subspacebasis.hh